/******************************************************************************
 * $Id: guild.h,v 1.7 2001/07/09 19:17:03 mud Exp $
 *   
 * File: guild.h
 *
 * Created: Sun May 14 2000 by Yohay Etsion (yohay_e@netvision.net.il)
 *
 * This is part of Dragons Fang, which is based on CircleMUD, etc, etc, yada, 
 * yada...
 *
 * A nice description of the files general purpose would be nice here... :)
 * 
 *****************************************************************************/

/* Guild Types */

#define GUILD_UNDEFINED    0
#define GUILD_ORGANIZATION 1
#define GUILD_GROUP        2
#define GUILD_HOMELAND     3
#define GUILD_DARK         4
#define GUILD_MISC         5

#define MAX_GUILD_TYPES    5
#define GUILD_CLUB        15

/* Guild flags */

#define GLD_EXCLUSIVE	    (1 << 0) /* A person can join only 1 of those */
#define GLD_IC		    (1 << 1) /* An IC guild, not OOC */
#define GLD_GLTITLE         (1 << 2) /* The GL has an IMM title */
#define GLD_GUILDIESTITLE   (1 << 3) /* Guildies have an IMM title (Ogier) */
#define GLD_GOSSIP          (1 << 4) /* Guild has a gossip file */
#define GLD_NOGCHAN         (1 << 5) /* Guild has no guild channel */
#define GLD_SECRETIVE       (1 << 6) /* Secretive guild */
#define GLD_NOGLIST         (1 << 7) /* Guildies can't use glist */
#define GLD_NOGWHO          (1 << 8) /* Guildies can't use gwho */
#define GLD_NOGUILDWALK     (1 << 9) /* No guildwalk for this guild */
#define GLD_NOBANK          (1 << 10) /* Guild has no bank account */
#define GLD_DARK	    (1 << 11) /* Dark guild */

/* Guildie's status flags */

#define STATUS_SEEKING	   (1 << 0) /* Seeker */
#define STATUS_AUTHORIZED  (1 << 1) /* BG approved */
#define STATUS_MEMBER      (1 << 2) /* Guilded */
#define STATUS_GL          (1 << 3) /* Guildleader */
#define STATUS_CHAN_ON     (1 << 4) /* Guildie has gchan on */
#define STATUS_SUBRANK     (1 << 5) /* Guildie has a subrank */
#define STATUS_TAG	   (1 << 6) /* Guildie sees a tag in the gchannel */

/* Guildie's perm flags */

#define PERM_GUILD	    (1 << 0) /* Guildie can guild others */
#define PERM_WITHDRAW	    (1 << 1) /* Guildie can withdraw gold from the guild */
#define PERM_GOSSIP_WRITE   (1 << 2) /* Guildie can add to the guild's gossip */
#define PERM_SPONSOR        (1 << 3) /* Guildie can sponsor seekers */
#define PERM_AUTHORIZE	    (1 << 4) /* Guildie can approve seekers' bgs */
#define PERM_GSKILLSET	    (1 << 5) /* Guildie can gskillset */

/* MACROs */

#define GLD_FLAGGED(gld, flag)		(IS_SET(gld->gflags, flag))
#define STATUS_FLAGGED(guildie, flag)   (IS_SET(guildie->status, flag))
#define PERM_FLAGGED(guildie, flag)	(IS_SET(guildie->perm, flag))
#define GLD_TYPE(gld)                   (gld->type)
#define GET_CHAR_GUILDS(ch)		((ch)->char_specials.guilds_data)
